Package org.apache.storm.generated

## Class Nimbus.submitTopology_args

- java.lang.Object
- - org.apache.storm.generated.Nimbus.submitTopology_args

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Comparable<Nimbus.submitTopology_args>`, `org.apache.storm.thrift.TBase<Nimbus.submitTopology_args,​Nimbus.submitTopology_args._Fields>`, `org.apache.storm.thrift.TSerializable`
  Enclosing class:
    Nimbus

      public static class Nimbus.submitTopology_args
      extends Object
      implements org.apache.storm.thrift.TBase<Nimbus.submitTopology_args,​Nimbus.submitTopology_args._Fields>, Serializable, Cloneable, Comparable<Nimbus.submitTopology_args>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Nimbus.submitTopology_args._Fields` | The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Map<Nimbus.submitTopology_args._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `submitTopology_args()` |
    `submitTopology_args​(String name, String uploadedJarLocation, String jsonConf, StormTopology topology)` |
    `submitTopology_args​(Nimbus.submitTopology_args other)` | Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `int` | `compareTo​(Nimbus.submitTopology_args other)` |
    `Nimbus.submitTopology_args` | `deepCopy()` |
    `boolean` | `equals​(Object that)` |
    `boolean` | `equals​(Nimbus.submitTopology_args that)` |
    `Nimbus.submitTopology_args._Fields` | `fieldForId​(int fieldId)` |
    `String` | `get_jsonConf()` |
    `String` | `get_name()` |
    `StormTopology` | `get_topology()` |
    `String` | `get_uploadedJarLocation()` |
    `Object` | `getFieldValue​(Nimbus.submitTopology_args._Fields field)` |
    `int` | `hashCode()` |
    `boolean` | `is_set_jsonConf()` | Returns true if field jsonConf is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_name()` | Returns true if field name is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_topology()` | Returns true if field topology is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_uploadedJarLocation()` | Returns true if field uploadedJarLocation is set (has been assigned a value) and false otherwise
    `boolean` | `isSet​(Nimbus.submitTopology_args._Fields field)` | Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read​(org.apache.storm.thrift.protocol.TProtocol iprot)` |
    `void` | `set_jsonConf​(String jsonConf)` |
    `void` | `set_jsonConf_isSet​(boolean value)` |
    `void` | `set_name​(String name)` |
    `void` | `set_name_isSet​(boolean value)` |
    `void` | `set_topology​(StormTopology topology)` |
    `void` | `set_topology_isSet​(boolean value)` |
    `void` | `set_uploadedJarLocation​(String uploadedJarLocation)` |
    `void` | `set_uploadedJarLocation_isSet​(boolean value)` |
    `void` | `setFieldValue​(Nimbus.submitTopology_args._Fields field, Object value)` |
    `String` | `toString()` |
    `void` | `unset_jsonConf()` |
    `void` | `unset_name()` |
    `void` | `unset_topology()` |
    `void` | `unset_uploadedJarLocation()` |
    `void` | `validate()` |
    `void` | `write​(org.apache.storm.thrift.protocol.TProtocol oprot)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<Nimbus.submitTopology_args._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### submitTopology_args

          public submitTopology_args()

    - #### submitTopology_args

          public submitTopology_args​(String name,
                                     String uploadedJarLocation,
                                     String jsonConf,
                                     StormTopology topology)

    - #### submitTopology_args

          public submitTopology_args​(Nimbus.submitTopology_args other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public Nimbus.submitTopology_args deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<Nimbus.submitTopology_args,​Nimbus.submitTopology_args._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<Nimbus.submitTopology_args,​Nimbus.submitTopology_args._Fields>`

    - #### get_name

          public String get_name()

    - #### set_name

          public void set_name​(String name)

    - #### unset_name

          public void unset_name()

    - #### is_set_name

          public boolean is_set_name()

      Returns true if field name is set (has been assigned a value) and false otherwise

    - #### set_name_isSet

          public void set_name_isSet​(boolean value)

    - #### get_uploadedJarLocation

          public String get_uploadedJarLocation()

    - #### set_uploadedJarLocation

          public void set_uploadedJarLocation​(String uploadedJarLocation)

    - #### unset_uploadedJarLocation

          public void unset_uploadedJarLocation()

    - #### is_set_uploadedJarLocation

          public boolean is_set_uploadedJarLocation()

      Returns true if field uploadedJarLocation is set (has been assigned a value) and false otherwise

    - #### set_uploadedJarLocation_isSet

          public void set_uploadedJarLocation_isSet​(boolean value)

    - #### get_jsonConf

          public String get_jsonConf()

    - #### set_jsonConf

          public void set_jsonConf​(String jsonConf)

    - #### unset_jsonConf

          public void unset_jsonConf()

    - #### is_set_jsonConf

          public boolean is_set_jsonConf()

      Returns true if field jsonConf is set (has been assigned a value) and false otherwise

    - #### set_jsonConf_isSet

          public void set_jsonConf_isSet​(boolean value)

    - #### get_topology

          public StormTopology get_topology()

    - #### set_topology

          public void set_topology​(StormTopology topology)

    - #### unset_topology

          public void unset_topology()

    - #### is_set_topology

          public boolean is_set_topology()

      Returns true if field topology is set (has been assigned a value) and false otherwise

    - #### set_topology_isSet

          public void set_topology_isSet​(boolean value)

    - #### setFieldValue

          public void setFieldValue​(Nimbus.submitTopology_args._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<Nimbus.submitTopology_args,​Nimbus.submitTopology_args._Fields>`

    - #### getFieldValue

          public Object getFieldValue​(Nimbus.submitTopology_args._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<Nimbus.submitTopology_args,​Nimbus.submitTopology_args._Fields>`

    - #### isSet

          public boolean isSet​(Nimbus.submitTopology_args._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<Nimbus.submitTopology_args,​Nimbus.submitTopology_args._Fields>`

    - #### equals

          public boolean equals​(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals​(Nimbus.submitTopology_args that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo​(Nimbus.submitTopology_args other)

      Specified by:
        `compareTo` in interface `Comparable<Nimbus.submitTopology_args>`

    - #### fieldForId

          public Nimbus.submitTopology_args._Fields fieldForId​(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<Nimbus.submitTopology_args,​Nimbus.submitTopology_args._Fields>`

    - #### read

          public void read​(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write​(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`